Package wx :: Package lib :: Package agw :: Module flatmenu :: Class MenuEntryInfo

[frames | no frames]

## Class MenuEntryInfo

Internal class which holds information about a menu.

Method Summary
| ``__init__`(self, titleOrMenu, menu, state, cmd)` Default class constructor.
| ``GetCmdId`(self)` Returns the associated command ID.
| ``GetMenu`(self)` Returns the class menu.
| ``GetRect`(self)` Returns the class rect.
| ``GetState`(self)` Returns the class state.
| ``GetTextBitmap`(self)` Returns the class bitmap.
| ``GetTitle`(self)` Returns the class title.
| ``SetRect`(self, rect)` Sets the class rect.
| ``SetState`(self, state)` Sets the class state.
| ``SetTextBitmap`(self, bmp)` Sets the class bitmap.

Method Details

### __init__(self, titleOrMenu='', menu=None, state=3, cmd=-1)
(Constructor)

Default class constructor.

### GetCmdId(self)

Returns the associated command ID.

### GetMenu(self)

Returns the class menu.

### GetRect(self)

Returns the class rect.

### GetState(self)

Returns the class state.

### GetTextBitmap(self)

Returns the class bitmap.

### GetTitle(self)

Returns the class title.

### SetRect(self, rect)

Sets the class rect.

### SetState(self, state)

Sets the class state.

### SetTextBitmap(self, bmp)

Sets the class bitmap.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:05 2009 | http://epydoc.sf.net